﻿using System;
using Telerik.OpenAccess;

namespace SampleWebApplication.Data.Models
{
    [Telerik.OpenAccess.Persistent(IdentityField = "_id")]
    public class Department
    {
        [FieldAlias("_id")]
        public Guid ID
        {
            get
            {
                return _id;
            }
            set
            {
                _id = value;
            }
        }

        [FieldAlias("_name")]
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
            }
        }

        private Guid _id;
        private string _name;
    }
}
