﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Telerik.OpenAccess;

namespace SampleWebApplication.Data.Models
{
    [Telerik.OpenAccess.Persistent(IdentityField = "_id")]
    public class Contact
    {
        [FieldAlias("_id")]
        public Guid ID
        {
            get
            {
                return _id;
            }
            set
            {
                _id = value;
            }
        }

        [FieldAlias("_firstname")]
        public string FirstName
        {
            get
            {
                return _firstname;
            }
            set
            {
                _firstname = value;
            }
        }

        [FieldAlias("_lastname")]
        public string LastName
        {
            get
            {
                return _lastname;
            }
            set
            {
                _lastname = value;
            }
        }

        [FieldAlias("_department")]
        public Department Department
        {
            get
            {
                return _department;
            }
            set
            {
                _department = value;
            }
        }

        private Guid _id;
        private string _firstname;
        private string _lastname;
        private Department _department;
    }
}
